SAVELOG(8)

NOMBRE
savelog - Guarda un archivo de registro de eventos

SINOPSIS
savelog [-m modo] [-u usuario] [-g grupo] [-t] [-p] [-c ciclo] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r directorio] [-n] [-q] [-D formato-fecha] fichero ...

DESCRIPCIÓN
La orden savelog guarda y, de forma opcional, comprime copias antiguas de ficheros. Las versiones anteriores del fichero se nombran de la siguiente forma:

    fichero.<número><extensión_compresión>

<número> representa el número de versión, siendo cero el más reciente. Los números de versión > 0 se comprimen, a menos que -l lo impida. El número de versión cero no se comprime, ya que puede que un proceso mantenga el fichero abierto para la E/S. Sólo se preservan las versiones ciclo del fichero.

Si el fichero no existe y se introduce -t, este se crea.

Se permiten las siguientes acciones con ficheros que existen, y con un tamaño mayor que cero:

1)  Version numbered files are cycled. Version file.2 is moved to version file.3, version file.1 is moved to version file.2, and so on. Finally version file.0 is moved to version file.1, and version file is deleted. Both compressed names and uncompressed names are cycled, regardless of -l. Missing version files are ignored.

2)  The new file.1 is compressed unless the -l flag was given. It is changed subject to the -m, -u, and -g flags.

3)  The main file is moved to file.0.

4)  Si se introducen las opciones -m, -u, -g, -t o -p, se crea un fichero, de acuerdo a las opciones dadas. Con la opción -p, el fichero se crea con el mismo propietario, grupo y permisos originales.

5)  The new file.0 is changed subject to the -m, -u, and -g flags.

OPCIONES

-m modo
    Define el modo para los ficheros de registro, implica -t

-u usuario
    Define al usuario como propietario de los ficheros de registro, implica -t

-g grupo
    Define al grupo como propietario de los ficheros de registro, implica -t

-c ciclo
    Save cycle versions of the logfile (default: 7). The cycle count must be at least 2.

-t  Ejecuta «touch», creando un nuevo fichero de registro de eventos

-l  No comprime ficheros de registro de eventos (comprime de forma predeterminada)

-p  Preserva el propietario, grupo y permisos del fichero de registro

-j  Comprime con bzip2, en lugar de gzip

-J  Comprime con xz, en lugar de gzip

    For xz no strength option is set, and xz decides on the default based on the total amount of physical RAM. Note that xz can use a very large amount of memory for the higher compression levels.

-1 .. -9
    Define el nivel de compresión o uso de memoria (por omisión: 9, excepto xz)

-C  Fuerza la limpieza de ficheros de registro que han completado un ciclo

-d  Utiliza la fecha estándar al iterar los ficheros

-D formato-fecha
    override date format, in the syntax understood by the date(1) command

-r  use rolldir instead of . to roll files

-n  No itera ficheros vacíos

-q  Modo silencioso

FALLOS
If a process is still writing to file.0, and savelog moves it to file.1 and compresses it, data could be lost.

VÉASE TAMBIÉN
logrotate(8)